	frmg 2.0.1 installation

NOTE: the best way to install frmg and its dependencies is to use
alpi, the ALPAGE installer, which may be found at
<http://alpage.inria.fr/alpi.en.html>


What you need
=============

     - DyALog 1.13.0	: grammar compiler [ See at http://alpage.inria.fr/~clerger ]
     - tag_utils 1.13	: a set of perl modules to convert TAG grammars 
     - mgcomp 1.5.0	: compiler of meta-grammars
     - mgtools 2.2.2	: conversion of Simplified MG format to XML MG format
     - xsltproc		: command line XSLT processor

   Perl modules:
     - AppConfig
     - IPC::Open2
     - Lingua::Features : Natural language features
     - Parse::Eyapp

   Check <http://search.cpan.org> for information about these modules.

   Optional:
     - dyalog-xml 1.1.0      : API to read/write XML with DyALog
     - dyalog-sqlite 1.1.0   : API to use SQLITE3 databases with DyALog
     - parserd 2.3.0	     : A server of parsers
     - Lefff 3.0.2	     : A French syntactic lexicon
     - XML::Twig

   For developpers starting from SVN or needing to run automake,
   please note that 'automake-dyalog' (from package DyALog) should be
   used instead of plain 'automake'. automake-dyalog is a slightly
   modified version of automake to setup compilation rules for DyALog
   programs.

How to compile and install
==========================

  - ./configure
  % if starting from a clean release, and not wishing to rebuid frgram.tag.xml
  % then use the following line:
  - make postsvn 
  - make
  - make check (optional)
  - make install (as root)


configure options
=================

--with-modperldir=DIR		modperl directory (typically /var/www/perl)
--sysconfdir=DIR		where parserd.conf is installed (typically /etc)
